#!/usr/bin/env python

# Copyright (C) 2006 CEREA
#     Author: Vivien Mallet
#
# CEREA (http://www.enpc.fr/cerea) is a joint laboratory of
# ENPC (http://www.enpc.fr/) and EDF R&D (http://www.edf.fr/).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License (file "license") for more details.

from numpy import *
from atmopy import *
from atmopy.display import *

if len(sys.argv) == 1: # no argument is provided.
    input_dir = "../results/"
else:
    input_dir = sys.argv[1]

# Number of members in the ensemble.
Nens = 30
# With assimilation.
prediction_file = "../results/O3.bin"

# Ensemble concentrations. Shape: (Nens, Nt_assim, Nz, Ny, Nx)
ens = []
for i in range(Nens):
    ens.append(getd(filename = input_dir + "member_" + str(i) + "-O3.bin",
                    Nt = 0, Nz = 1, Ny = 11, Nx = 16))
ens = array(ens)

ensemble_reduction = stat.spatial_distribution

# Try the command 'help stat.spatial_reduction' in ipython for more information
# For example : ensemble_reduction(ens, mean)
